Package org.globus.gsi.util

# Class ProxyCertificateUtil

java.lang.Object
org.globus.gsi.util.ProxyCertificateUtil

public final class ProxyCertificateUtil extends Object
FILL ME

Author:
  ranantha@mcs.anl.gov

## Method Summary

Modifier and Type
Method
Description
`static ProxyCertInfo`
`getProxyCertInfo(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
`static ProxyCertInfo`
`getProxyCertInfo(org.bouncycastle.asn1.x509.X509Extension ext)`
`static int`
`getProxyPathConstraint(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
`static String`
`getProxyTypeAsString(GSIConstants.CertificateType proxyType)`
Returns a string description of a specified proxy type.
`static boolean`
`isGsi2Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 proxy certificate.
`static boolean`
`isGsi3Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-3 proxy certificate.
`static boolean`
`isGsi4Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-4 proxy certificate.
`static boolean`
`isImpersonationProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI-4 impersonation proxy certificate.
`static boolean`
`isIndependentProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-3 or GS-4 limited proxy certificate.
`static boolean`
`isLimitedProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI=4 limited proxy certificate.
`static boolean`
`isProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2, GSI-3 or GSI-4proxy certificate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isProxy

public static boolean isProxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-2, GSI-3 or GSI-4proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-2 or GSI-3 or GSI-4 proxy, false otherwise.

### isGsi4Proxy

public static boolean isGsi4Proxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-4 proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-4 proxy, false otherwise.

### isGsi3Proxy

public static boolean isGsi3Proxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-3 proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-3 proxy, false otherwise.

### isGsi2Proxy

public static boolean isGsi2Proxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-2 proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-2 proxy, false otherwise.

### isLimitedProxy

public static boolean isLimitedProxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI=4 limited proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-2 or GSI-3 or GSI-4 limited proxy, false otherwise.

### isIndependentProxy

public static boolean isIndependentProxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-3 or GS-4 limited proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-3 or GSI-4 independent proxy, false otherwise.

### isImpersonationProxy

public static boolean isImpersonationProxy(GSIConstants.CertificateType certType)
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI-4 impersonation proxy certificate.

Parameters:
  `certType` - the certificate type to check.
Returns:
  true if certType is a GSI-2 or GSI-3 or GSI-4 impersonation proxy, false otherwise.

### getProxyPathConstraint

public static int getProxyPathConstraint(org.bouncycastle.asn1.x509.TBSCertificateStructure crt) throws IOException

Throws:
  `IOException`

### getProxyCertInfo

public static ProxyCertInfo getProxyCertInfo(org.bouncycastle.asn1.x509.TBSCertificateStructure crt) throws IOException

Throws:
  `IOException`

### getProxyCertInfo

public static ProxyCertInfo getProxyCertInfo(org.bouncycastle.asn1.x509.X509Extension ext)

### getProxyTypeAsString

public static String getProxyTypeAsString(GSIConstants.CertificateType proxyType)
Returns a string description of a specified proxy type.

Parameters:
  `proxyType` - the proxy type to get the string description of.
Returns:
  the string description of the proxy type.